Page MenuHomePhabricator

Improve MediaWiki Action API Integration Tests
Closed, ResolvedPublic

Description

Brief summary

The Wikimedia Foundation Core Platform Team has recently begun adding API integration tests to its Action API. MediaWiki is the wiki software that powers MediaWiki. The purpose of this project is to allow refactoring of MediaWiki with more confidence without fear of breaking the API.

The initial testing framework and a subset of tests have been set-up by the Core Platform Team, however, the Action API has many more tests than are currently covered. This proposed internship is to expand upon those tests so a greater portion of the code is covered.

Tasks will all be tests related to the API Integration Tests, beginning with a more simple subset and increasingly become more complex depending on how the previous tasks go.

For more information about the work done so far and future planned work review: https://www.mediawiki.org/wiki/Core_Platform_Team/Initiatives/Add_API_integration_tests

Getting started instructions

Please reach out to any of the mentors if you run into issues or have questions about the instructions.

Skills required

JavaScript Platform Team Initiatives (API Integration Tests)

Possible mentor(s)

@kchapman @Clarakosi @daniel

Microtasks

Event Timeline

kchapman created this task.Oct 1 2019, 3:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2019, 3:09 AM
kchapman updated the task description. (Show Details)Oct 1 2019, 3:16 AM
kchapman updated the task description. (Show Details)Oct 1 2019, 3:24 AM
kchapman updated the task description. (Show Details)
kchapman updated the task description. (Show Details)Oct 1 2019, 3:27 AM
kchapman updated the task description. (Show Details)Oct 1 2019, 2:28 PM

Hi Everyone. I'm Linda, outreachy intern, how do I contribute to this project, the instructions aren't clear. Thanks

@Linda-Ikechukwu4 Hi and welcome! Have you taken a look at the linked microtasks already? If something is unclear, could you please elaborate? Also see https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker#Feedback,_questions_and_support - thanks a lot! :)

Clarakosi updated the task description. (Show Details)Oct 4 2019, 2:51 PM
Clarakosi updated the task description. (Show Details)Oct 4 2019, 7:09 PM

Hi! I am Diksha and I'm an outreachy applicant. I want to know that only the microtasks listed above will be counted as a contribution to this project?

@Dikshagupta99 Yes, for the selection process only the microtasks above will be counted as contributions. There will be more tasks once we've selected an intern.

@Clarakosi I tried to clone the core from mediawiki through gerrit but fatal error is coming. PLease tell how to fix it.

@Dikshagupta99: Hi, that problem sounds unrelated to the specific topic of this task and more like a general technical issue. Please feel free to ask questions unrelated to the task topic itself in a technical support channel or maybe in Zulip. Thanks for your understanding! :)

As the Outreachy Round 19 has ended, could you consider marking this task as resolved? If not, could you share what else is remaining?

@Somebody: Hi, could you please answer the last comment? Thanks!

@Somebody: Could you please answer the last comment(s)? Thanks in advance!

As the Outreachy Round 19 has ended, could you consider marking this task as resolved? If not, could you share what else is remaining?

I have only been able to close out the above tasks from Action API.

Clarakosi closed this task as Resolved.May 21 2020, 4:00 PM

Resolving this since its only a parent task and the other tasks have been resolved. Thanks @Somebody for all of your hard work!